Activities = {
	cursorId: 0,
	initialized: false,
	labels:			{1: "{user} Curtiu seu {post}",
					2: "{user} está seguindo você",
					3: "{user} compartilhou seu {post}",
					4: "Escolha do Editor",
					5: "{user} comentou no seu {post}"},
	init: function()
	{
		
		if(this.initialized) return;
		this.initialized = true;

		var self = this;

		this.cursorId = 0;

		App.setTitle("Notificações");

		this.get();
		
		$(".activities .btn-more").click(function() {
			self.get();
		}).hide();
	},
	get: function()
	{
		App.showPreLoader();

		var self = this;
		Svc.get(SITE_URL + "activities/getJson/?cursorId="+ this.cursorId, function(data) {
			self.getResult(data);
		});
	},
	getResult: function(data)
	{
		App.hidePreLoader();

		var o = data.length > 0 ? data[data.length - 1] : 0;
		if(o) this.cursorId = o._id;

		data.length < 10 ? $(".activities .btn-more").hide() : $(".activities .btn-more").show();

		for(var i = 0; i < data.length; i++)
		{
			var vo = data[i];

			var label = this.labels[vo.type];
			label = label.split("{user}").join("<a href='user.html?uid=" + vo.user.id +"'>" + vo.user.fullname + "</a>");

			label = label.split("{post}").join("<a href='content.html?id="+ vo.content_id +"&in-set='>post</a>");

			var it = $("<li>"+ label +"</li>");
			it.attr("data-id", vo._id);
			it.attr("data-status", vo.status);

			$(".actv-menu").append(it);
		}

		App.getActivities();
	}
}