Content = {
	model: null,
	id: 0,
	init: function()
	{
		var self = this;
		
		this.id = App.getParam("id");

		App.showPreLoader();

		Svc.get(SITE_URL + "contentMobile/get/" + this.id, function(data) {
			self.getResult(data);
		});
	},
	getResult: function(data)
	{
		App.hidePreLoader();

		var self = this;
		this.id = data.id;
		var it = $(".content .feed-item").show();
		it.attr("data-id", data.id);
		it.find("header > a").attr("href", "user.html?uid=" + data.owner_id);
		it.find("header span.content-item-username").html(data.owner_fname);
		it.find("header .dt").html(data.dt);
		it.find("header img").attr("src", UPLOAD_URL + "profile/a" + (data.owner_id % 20) + "/" + data.owner_id + "-1.jpg");
		it.find("article > a > img").attr("src", data.filepath + "-4.jpg");
		//it.find("article > a").attr("href", APP_URL + "content.html?id=" + data.id + "&in-set=stream");
		it.find("article .ico-views").parent().append(formatNum(data.n_vis));
		it.find("article .ico-comments").parent().append(data.n_comments);
		it.find("article .ico-shares").parent().find("i").html(data.n_blists);
		it.find("article .ico-likes").parent().find("i").html(formatNum(data.n_likes));
		it.find(".description").html(App.parseTag(data.title));

		it.find("article .btn-like").attr("data-id", data.id).attr("data-value", data.liked).attr("data-count", data.n_likes).attr("data-status", data.liked).click(function() {
			App.like($(this).attr("data-id"), $(this).attr("data-value"));
		});
		it.find("article .btn-comments").attr("data-id", data.id).click(function() {
			App.load("comments.html?page=comments&id=" + $(this).attr("data-id"));
		});
		it.find("header .btn-plus").attr("data-id", data.id).click(function() {
				App.plusContent($(this).attr("data-id"));  
		});
		// it.find("article .btn-share").attr("data-id", data.id).click(function() {
		// 	var id = $(this).attr("data-id");
		// 	App.shareContent(id, $("[data-id="+ id +"] .description").html(), $("[data-id="+ id +"] header img").attr("src"));
			//App.load("share.html?uid=" + $(this).attr("data-id"));
			it.find("article .btn-share")
				.attr("data-id", data.id)
				.attr("data-share-title", data.title)
				.attr("data-share-owner", data.owner_fname)
				.attr("data-share-thumb", UPLOAD_URL + "contents/" + data.filepath + "-t.jpg")
				.attr("data-share-link", BASE_URL + 'content/' + data.id)
				.click(function(e) {
					e.preventDefault;
					var id = $(this).attr("data-id");
					var titleShare = $(this).attr("data-share-title");
					var thumbShare = $(this).attr("data-share-thumb");
					var thumbOwner = $(this).attr("data-share-owner");
					var linkShare = $(this).attr("data-share-link");
					App.shareContent(id, titleShare, thumbShare, linkShare, thumbOwner);
		});

		it.on('doubletap', function() {
			$(this).find(".btn-like").trigger("click");
		});

		App.setTitle(data.owner_fname);
	}
}