EditProfile = {
	initialized: false,
	init: function()
	{
		/* ios6 calc fix */
		$('.edit-profile .list > li > input').css('width', '100%').css('width', '-=200px');
		$('.edit-profile .list > li > textarea').css('width', '100%').css('width', '-=200px');
		$('.edit-profile .list > li > select').css('width', '100%').css('width', '-=200px');

		var self = this;

		

		if(this.initialized) return;
		if(!this.initialized)
		{
			this.initialized = true;
			/*
			var btn = $(".btn-submit").clone();
			btn.addClass("btn-submit-header").addClass("btn-small");
			$(".edit-profile .page-header").append(btn);
			btn.attr("style", "width:auto !important");
			*/
		}
		$(".edit-profile .btn-submit").click(function() {
			self.updateProfile();
		});


		App.setTitle("Editar Perfil");

		this.getData();
	},
	getData: function()
	{
		var self = this;

		$(".edit-profile .btn-submit").attr("disabled", "disabled");
		$(".edit-profile .form").hide();

		Svc.get(SITE_URL + "profile/getProfile", function(rs) {
			self.getDataResult(rs);
		});
	},
	getDataResult: function(data)
	{
		$(".edit-profile .form").show();
		$(".edit-profile .btn-submit").attr("disabled", null);

		$("input[name='fullname']").val(data.fullname);
		$("textarea[name='about_me']").val(data.about_me);
		$("input[name='city']").val(data.city);
		$("input[name='country']").val(data.country);
		$("select[name='occupation']").val(data.occupation);
		$("select[name='occupation_area']").val(data.occupation_area);
		$("input[type='password']").val("");

	},
	updateProfile: function()
	{
		var self = this;
		var data = {
			fullname: $("input[name='fullname']").val(),
			about_me: $("textarea[name='about_me']").val(),
			city: $("input[name='city']").val(),
			country: $("input[name='country']").val(),
			pwd: $("input[name='pwd']").val(),
			new_pwd: $("input[name='pwd_confirm']").val(),
			occupation: $("select[name='occupation']").val(),
			occupation_area: $("select[name='occupation_area']").val()
		};

		if(data.pwd.length > 0)
		{
			if(data.pwd.length < 5)
			{
				alert("A senha deve conter no mnimo 5 caracteres");
				return;
			} else if(data.pwd != data.new_pwd)
			{
				alert("As senhas no conferem");
				return;
			}
		}

		$(".btn-submit").attr("disabled", "disabled");

		delete data.pwd;

		Svc.post(SITE_URL + "profile/updateProfile", data, function(rs) {
			self.updateProfileResult(rs);
		});
	},
	updateProfileResult: function(data)
	{
		$(".edit-profile .btn-submit").attr("disabled", null);
		if(data.result < 0)
		{
			alert("ERRO");
		} else {
			this.getData();
			//$(".result").addClass("result-ok").html("Perfil atualizado");
		}
	}
}