Login = {
	init: function()
	{
		var self = this;

		if(App.getParam("a") == "logout")
		{
			App.logout();
			App.facebookLogout();
		}

		$(".btn-login").unbind("click").click(function() {
			self.login();
		});

		$(".btn-join-fb").unbind("click").click(function() {
			App.facebookLogin();
			
		});
		
		$(".btn-recovery-pwd").unbind("click").click(function() {
			App.recoverPwd($('.email-recovery').val(), self.viewLogin);
		});
		
		$('.btn-new-email.new-by-email').unbind('click').click(function(){
			$.mobile.changePage('new-user.html');
		});

	},
	disableForm: function(){
		$(".btn-login").hide('fast');
		$(".btn-join-fb").hide('fast');
	},
	enableForm: function(){
		$(".btn-login").show('fast');
		$(".btn-join-fb").show('fast');
	},
	login: function()
	{
		var data = {
			login: $(".login-form input[name='email']").val(),
			pwd: $(".login-form input[name='pwd']").val()
		};

		Svc.post(SITE_URL + "login/json", data, function(data) {
			console.log("login: result: " + JSON.stringify(data));
			if(data.status > 0)
			{
				App.userId = data.status;
				window.localStorage.token = data.token;
				window.localStorage.userType = data.usertype;
				try
				{
					console.log("loggged in");
					$.mobile.changePage('feed.html');
				} catch (e){}
				
			} else {
				App.notif("Usuário e/ou senha inválido(s)");
			}
		});
	},
	close: function()
	{
		$('[data-role=dialog]').dialog( "close" );
	},
	viewRecovery: function()
	{
		$(".login-form").hide();
		$(".pwd-recovery").show();
		$("#header-default").hide();
		$("#header-recovery").show();
	},
	viewLogin: function()
	{
		$(".login-form").show();
		$(".pwd-recovery").hide();
		$("#header-default").show();
		$("#header-recovery").hide();
	}
}
