Messages = {
	initialized: false,
	init: function()
	{
		if(this.initialized) return;
		this.initialized = true;

		App.setTitle("Mensagens");

		var self = this;
		Svc.get(SITE_URL + "messages/getUsers", function(data) {
			self.getResult(data);
		});
	},
	getResult: function(data)
	{
		$(".container").removeClass("bg-loading");

		for(var i=0; i < data.length; i++)
		{
			var vo = data[i];
			var uid = App.userId == vo.id1 ? vo.id2 : vo.id1;
			var li = $("<li><img></li>");
			li.attr("data-id", uid);
			li.attr("data-status", vo.status);
			li.append("<span>" + vo.fullname + "</span>");
			li.find("img").attr("src", UPLOAD_URL + "profile/a" + (uid % 20) + "/" + uid + "-2.jpg");
			li.click(function() {
				App.load("message.html?userId=" + $(this).attr("data-id") + "&userfname=" + $(this).find("span").html());
			});
			$(".container").append(li);
		}
	}
}