Share = {
	id: 0,
	init: function()
	{
		this.id = App.getParam("uid");

		Svc.get(SITE_URL + "contentMobile/get/" + this.id, function(data) {
			Share.buildContent(data);
		});

		Svc.get(SITE_URL + "bList/getBLists/?id=" + this.id, function(data) {
			Share.buildLists(data);
		});

		App.setTitle("Compartilhar");
	},
	buildContent: function(data)
	{
		$(".share .share-container img").attr("src", data.filepath + "-2.jpg");

		$(".share .btn-share").click(function() {
			Share.share();
		});

		$(".share .btn-share").attr("disabled", null);
	},
	share: function()
	{
		var blist = $(".share .blists").val();
		var inProfile = $("#cb-share").is(":checked") ? 1 : 0;
		Svc.post(SITE_URL + "content/share_post", {blist: blist, content: this.id, shareInProfile: inProfile}, function(data) {
			if(data.status)
			{
				$(".share .blists").remove();
				$(".share .share-feed").remove();
				$(".share .shared").show();
				$(".share .btn-share").val("Retornar aos conteúdos");
				Share.share = function() {
					history.back(-1);
				}
			} else {
			}
		});
	},
	buildLists: function(data)
	{
		for(var i = 0; i < data.length; i++)
		{
			var vo = data[i];
			var opt = $("<option></option>");
			opt.attr("value",vo.id);
			opt.html(vo.title);

			if(vo.bid)
				opt.attr("disabled", "disabled");

			$(".share .blists").append(opt);
		}
	}
}