Upload = {
	imageData: null,
	megaPixImage: null,
	rotation: 0,
	init: function()
	{
		var self = this;

		App.fixHeight();

		App.setTitle("Postar imagem");
		
		$(".upload .btn-back").click(function() {
			Feed = null;
			$("#feed").remove();
			try{ Feed.reset(); } catch(e) {}
			App.load("feed.html");
		});
		
		$(".btn-set-img").click(function() {
			$(this).attr("disabled", "disabled");
			self.upload();
		});

		$(".btn-rotate-img").click(function() {
			self.rotateImage(self.rotation + 1);
		});

		$(".btn-browse-file").change(function(event) {
			self.onSelectFile(event.target.files);
		});

		App.hidePreLoader();
		this.megaPixImage = PostFileSelect.megaPixImage;
		this.rotateImage(0);

	},
	onSelectFile: function(files)
	{
		var self		= this;
		var isSafari	= /Safari/.test(navigator.userAgent);// && /Apple Computer/.test(navigator.vendor);

		if(!files[0]) {
			return;
		}
		if(true)
		{
			this.megaPixImage = new MegaPixImage(files[0]);
			setTimeout(function() {
				self.rotateImage(2);
			}, 700);
		} else {
			this.megaPixImage = new DataImage(files[0], function() {
				self.rotateImage(2);
			});
		}
	},
	rotateImage: function(n)
	{
		if(!n) n = 0;
		if(n > 3) n = 0;
		this.rotation = n;

		var rotations = [1, 6, 3, 8];
		n = rotations[this.rotation];

		var img = document.getElementById('resultImage');
		//this.megaPixImage.render(img, { maxWidth: $(window).width(), maxHeight: $(".camera").height(), quality: 1, orientation: n });
		this.megaPixImage.render(img, { maxWidth: $(window).width(), maxHeight: $(window).height() - 128, quality: 1, orientation: n });

		var canvas = document.getElementById('resultCanvas');
		this.megaPixImage.render(canvas, { maxWidth: 1000, maxHeight: 1000,orientation: n });

		this.imageData = canvas.toDataURL('image/jpeg');
	},
	upload: function()
	{
		var self = this;
		var xhr = new XMLHttpRequest();
		if (!xhr.upload)
		{
			this.setError("xhr upload = null");
			return;
		}

		xhr.upload.addEventListener('progress', function(event) {
			var percent = parseInt(event.loaded / event.total * 100);
			$('.progress-bar').width(percent+'%');
			App.showPreLoader("Enviando... " + percent+"%");
		}, false);

		xhr.onreadystatechange = function(event)
		{
			if (xhr.readyState == 4)
			{
				if (xhr.status == 200)
				{
					var data = $.parseJSON(xhr.responseText);
					if(data.status < 1)
					{
						App.hidePreLoader();
						alert("Error status:" + data.status);
						return;
					}
					
					$(".progress-container").html("Imagem enviada com sucesso!");

					App.load("add-post.html?file=" + data.filename);
				} else {
					App.hidePreLoader();
					setError.html("Error status:" + xhr.responseText);
				}
			}
		};

		// Start upload
		xhr.open('post', SITE_URL + "content/uploadContentImage", true);
		xhr.send(this.imageData);
		App.showPreLoader("Enviando...");
	},
	setError: function(msg)
	{
		alert("ERR>" + msg);
	}
}