// alert('main presente');
/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */


 var app = {
    // Application Constructor
    initialize: function() {
    	// alert('hey apple');
    	this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
    	document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    // bindEvents: function() {
    // 	alert('bind events');
    // 	app.receivedEvent('deviceready');
    //     // document.addEventListener('deviceready', app.onDeviceReady, false);
    // },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicity call 'app.receivedEvent(...);'
    onDeviceReady: function() {
    	// alert('hey where');
    	app.receivedEvent('deviceready');

	},
    // Update DOM on a Received Event

// result contains any message sent from the plugin call

receivedEvent: function(id) {
    	// alert(id);
    	// var parentElement = document.getElementById(id);
    	// var listeningElement = parentElement.querySelector('.listening');
    	// var receivedElement = parentElement.querySelector('.received');
    	// var pushNotification = window.plugins.pushNotification;
    	// alert(pushNotification);

    	// listeningElement.setAttribute('style', 'display:none;');
    	// receivedElement.setAttribute('style', 'display:block;');

    	console.log('Received Event: ' + id);
    	// alert('Received Event: ' + id);
    	// alert('hey recieved Event');

    	// alert('Device: ' + device.platform);

// Need enable device platform to work


	    	App.onDeviceReady();

            console.log("Token: " + window.localStorage.token);


        }


    };


    this.Svc = {
    	like: function(id, remove, callback)
    	{
    		Svc.post('content/like', {id: id, remove: remove}, callback);
    	},
    	follow: function(id, remove, callback)
    	{
    		Svc.post('Users/follow', {id: id, remove: remove}, callback);
    	},
    	getContents: function(params, callback)
    	{
    		Svc.get('content/getContents/' + params, callback);
    	},
    	createContent: function(data, callback, callbackError)
    	{
    		Svc.post('content/add', data, callback, callbackError);
    	},
    	login: function(login, pwd, callback)
    	{
    		Svc.post('login/json', {login: login, pwd: pwd}, callback);
    	},
    	post: function(url, data, callback, callbackError)
    	{
		//if(url.charAt(0) != "/" && url.indexOf("http") == -1) url = GATEWAY_URL + url;

		try {
			if(navigator.connection.type == Connection.NONE)
			{
				navigator.notification.alert(
					App.NOT_CONNECTED_MESSAGE,  // message
					null,					// callback
					'Não conectado',		// title
					'OK'					// buttonName
					);
				return;
			}
		} catch(e) {
			console.log(e);
		}

		$.ajax({
			type:		'POST',
			dataType:	'json',
			url:		url,
			data:		data
		}).done(function( data ) {
			if(callback)
				callback(data);
		}).error(function(jqXHR) {
			if(jqXHR.status == 403)
				App.openLogin();
			else if(callbackError)
				callbackError(jqXHR);
		});
	},
	get: function(url, callback, json)
	{
		try {
			if(navigator.connection.type == Connection.NONE)
			{
				navigator.notification.alert(
					App.NOT_CONNECTED_MESSAGE,  // message
					null,					// callback
					'Não conectado',		// title
					'OK'					// buttonName
					);
				return;
			}
		} catch(e) {
			console.log(e);
		}

		$.ajax({
			dataType:	json !== false ? 'json' : null,
			url:		url
		}).done(function( data ) {
			if(callback)
				callback(data);
		}).error(function(jqXHR) {
			if(jqXHR.status == 403)
				App.openLogin();
		});
	}
}


function DataImage(file, onReady)
{
	var baseImage;

	DataImage.prototype.init = function(file)
	{
		baseImage = new Image();
		baseImage.onload = function(imageEvent)
		{
			//self.onLoadImage(imageEvent);
		}
		var reader		= new FileReader();
		reader.onload	= function(readerEvent)
		{
			baseImage.src = readerEvent.target.result;

			onReady();
		}
		reader.readAsDataURL(file);	
	}
	if(file)
		this.init(file);

	DataImage.prototype.render = function(target, options)
	{
		var maxWidth	= options.maxWidth;
		var maxHeight	= options.maxHeight;

		if(options.orientation == 8 || options.orientation == 6)
		{
			maxWidth = options.maxHeight;
			maxHeight= options.maxWidth;
		}

		var scale		= maxWidth / maxHeight;
		var ratio		= baseImage.width / baseImage.height;

		var canvas = document.createElement('canvas'),
		width	= baseImage.width,
		height	= baseImage.height;

		if(ratio > scale)
		{
			width	= Math.min(maxWidth, width);
			height	= width / ratio;
		} else {
			height	= Math.min(maxHeight, height);
			width	= height * ratio;
		}

		canvas.width	= width;
		canvas.height	= height;

		
		this.transformCoordinate(canvas, width, height, options.orientation);
		canvas.getContext('2d').drawImage(baseImage, 0, 0, width, height);
		canvas.getContext('2d').save();


		var tagName = target.tagName.toLowerCase();
		if (tagName === 'img')
		{
			target.src = canvas.toDataURL('image/jpeg');
		}
		else if (tagName === 'canvas')
		{
			target.width	= width;
			target.height	= height;
			this.transformCoordinate(target, width, height, options.orientation);
			target.getContext('2d').drawImage(baseImage, 0, 0, width, height);
			
		}
	}

	DataImage.prototype.transformCoordinate = function(canvas, width, height, orientation)
	{
		switch (orientation) {
			case 5:
			case 6:
			case 7:
			case 8:
			canvas.width = height;
			canvas.height = width;
			break;
			default:
			canvas.width = width;
			canvas.height = height;
		}
		var ctx = canvas.getContext('2d');
		switch (orientation) {
			case 2:
				// horizontal flip
				ctx.translate(width, 0);
				ctx.scale(-1, 1);
				break;
				case 3:
				// 180 rotate left
				ctx.translate(width, height);
				ctx.rotate(Math.PI);
				break;
				case 4:
				// vertical flip
				ctx.translate(0, height);
				ctx.scale(1, -1);
				break;
				case 5:
				// vertical flip + 90 rotate right
				ctx.rotate(0.5 * Math.PI);
				ctx.scale(1, -1);
				break;
				case 6:
				// 90 rotate right
				ctx.rotate(0.5 * Math.PI);
				ctx.translate(0, -height);
				break;
				case 7:
				// horizontal flip + 90 rotate right
				ctx.rotate(0.5 * Math.PI);
				ctx.translate(width, -height);
				ctx.scale(-1, 1);
				break;
				case 8:
				// 90 rotate left
				ctx.rotate(-0.5 * Math.PI);
				ctx.translate(-width, 0);
				break;
				default:
				break;
			}
		}
	}
