AcademyView = {
	model: null,
	id: 0,
	initialized: false,
	init: function()
	{
		var self = this;

		this.id = App.getParam("uid");

		App.setTitle("Academy");

		Svc.get(SITE_URL + "academy/" + this.id + "?json=1", function(data) {
			self.getResult(data);
		});
		if(!this.initialized)
		{
			$(window).resize(self.onResize);
			this.initialized = true;
		}
		this.onResize();
	},
	getResult: function(data)
	{
		App.setTitle("Academy");
		var it = $(".feed-item");
		it.find("header > a").attr("href", "user.html?uid=" + data.owner_id);
		it.find("header h2").html(data.title);
		it.find("header span").html(data.owner_fname);
		it.find("header .dt").html(data.dt);
		it.find("header img").attr("src", UPLOAD_URL + "profile/a" + (data.owner_id % 20) + "/" + data.owner_id + "-1.jpg");

		var url = data.video_url;

		//navigator.notification.alert(url);
		
		if(url.indexOf("vzaar") != -1)
		{
			url = url.split("vzaar:").join("");
			$("#c-video").attr("src", "http://view.vzaar.com/"+ url +"/player?autoplay=true");
		} else {
			$("#c-video").attr("src", "http://www.youtube.com/embed/"+ url + "?autoplay=1");
		}


		$(".btn-comments").attr("href", $(".btn-comments").attr("href") + data.id);
	},
	onResize: function()
	{
		var video = $("#c-video");
		video.height(video.width() / (16/9));
	}
}