YMagPost = {
	model: null,
	id: 0,
	edition: 0,
	initialized: false,
	init: function()
	{
		if(this.initialized) return;
		this.initialized = true;

		var self = this;

		this.model		= $(".ymag-post .feed-item");
		this.model.remove();

		this.id			= Math.max(0, App.getParam("uid"));
		this.edition	= Math.max(0, App.getParam("edition"));

		//this.getMag();

		App.setTitle("YMag");

		this.getPost();
	},
	getMag: function()
	{
		var self = this;
		Svc.get(SITE_URL + "ymag/getEdition/" + this.edition, function(data) {
			self.getMagResult(data);
		});
	},
	getMagResult: function(data)
	{
		App.setTitle(data.title);
	},
	getPost: function()
	{
		App.showPreLoader();

		var self = this;
		Svc.get(SITE_URL + "ymag/getPost/"+ this.id, function(data) {
			self.getPostResult(data);
		});
	},
	getPostResult: function(data)
	{
		App.hidePreLoader();

		it = this.model.clone().show();
		it.find("header h2").html(data.title);

		var o = $("<div></div>");
		o.html(unescape(data.text));
		it.find("section").html(o.text());

		$(".ymag-post .mag-container").append(it);
	}
}